require("nvchad.configs.lspconfig").defaults()

local lspconfig = require("lspconfig")

local nvlsp = require("nvchad.configs.lspconfig")
local servers = { "jdtls", "html", "cssls", "clangd", "pylsp", "basedpyright", "ruff" }

for _, lsp in ipairs(servers) do
	lspconfig[lsp].setup({
		on_init = nvlsp.on_init,
		on_attach = nvlsp.on_attach,
		capabilities = nvlsp.capabilities,
	})
end
